org.springframework.cloud.dataflow.server.controller

## Class TaskCtrController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.TaskCtrController

-     @RestController
       @RequestMapping(value="/tasks/ctr")
      public class TaskCtrController
      extends Object

  Controller to expose boot configuration metadata from an ctr app as it's now just defined as an property and thus its metadata cannot be resolved via registered apps. This is essentially a support endpoint for UI features.
  Author:
    Janne Valkealahti

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskCtrController(ApplicationConfigurationMetadataResolver metadataResolver, TaskConfigurationProperties taskConfigurationProperties, ComposedTaskRunnerConfigurationProperties composedTaskRunnerConfigurationProperties, AppResourceCommon appResourceCommon)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty>` | `options()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskCtrController

          public TaskCtrController(ApplicationConfigurationMetadataResolver metadataResolver,
                                   TaskConfigurationProperties taskConfigurationProperties,
                                   ComposedTaskRunnerConfigurationProperties composedTaskRunnerConfigurationProperties,
                                   AppResourceCommon appResourceCommon)

  - ### Method Detail

    - #### options

          @RequestMapping(value="/options",
                          method=GET)
           @ResponseStatus(value=OK)
          public List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty> options()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.